GS Viewer 0.88 Will not launch?

JCFordJCFord Member Posts: 785
I had the old GS viewer 0.87 working on my iphone fine and I have just got round to trying to update the GS Viewer to the new 0.88 onto my iphone running iOS 3.1.2, but everytime I launch the GS Viewer app on the iphone it opens up for a few seconds displays the splash screen and then quits?

I have downloaded the new apple SDK and Xcode v3.2.3 and have noticed that when I open up the GameSalad Viewer.xcodeproj to build the app in Xcode I can no longer can select my Device 3.1.2 like I used to be able to it now only says DEVICE - 4.0 RELEASE, so is this what is making it crash, does it think I have iOS 4 on my phone?

Comments

  • firemaplegamesfiremaplegames Member Posts: 3,206
    I'm pretty sure that you need to have iOS 4.0 running on your iPhone for it to work...
  • JCFordJCFord Member Posts: 785
    @ Joe thanks for the swift response, but please don't say that, I have a iphone 3G and have read that so many people are reverting back to iOS3 after trying iOS4 as its just running too slow on the iPhone 3G that I just don't want to update.

    I can't believe that there is no way to get the 0.88 GS viewer on an iPhone running 3.1.2 - anyone!
    There has got to be some option in Xcode to set the build for older devices - I just can't find it!
  • firemaplegamesfiremaplegames Member Posts: 3,206
    Yeah, I'm not 100% sure. Hopefully somebody can confirm.
  • JCFordJCFord Member Posts: 785
    There MUST be a way of doing this otherwise Apple is saying you can only build apps for iOS4 from now on!
  • Rob2Rob2 Member Posts: 2,402
    edit
  • Rob2Rob2 Member Posts: 2,402
    check project settings in xcode...deployment target etc
  • JCFordJCFord Member Posts: 785
    Okay after searching the Apple developers forums I have found out the following:
    1. Launch your Xcode project
    2. Double click the little blue project icon (top left) to bring up the info settings
    3. set the BASE SDK to iPhone 4.0 Device
    4. set the iPhone OS Deployment Target in my case iPhone OS3.1.2
    5. Build

    And it SHOULD work - but I have tried this and still getting the quit several seconds after launching.
  • Rob2Rob2 Member Posts: 2,402
    hold on..gonna have a little fiddle ..
  • Rob2Rob2 Member Posts: 2,402
    not much help i'm afraid. built to 3.0 and 3.1.2 running on a 3gs with ios4 without problems..still runs ok thought it might throw up the same problem but no.
  • JCFordJCFord Member Posts: 785
    okay thanks Rob. I think I will wipe everything and re-download and build from fresh, I wil post back later to see if it worked, or not!
Sign In or Register to comment.